#include "dateManager.h"
#include <QRegExp>
#include <QTextStream>
#include "dateobject.h"

DateManager::DateManager(QObject* parent):QObject(parent)
{

}

DateManager::~DateManager(){
    
}

QStringList DateManager::readZoneFile(const QString &filename)
{
    QStringList resultlist;

    if(!resultlist.isEmpty())
        resultlist.clear();

    QFile file(filename);
    file.open(QIODevice::ReadOnly);
    QTextStream out(&file);

    while (!out.atEnd()) {
        resultlist << out.readLine();
    }
    
    file.close();

    return resultlist;

}
QStringList DateManager::getStringListInt(QStringList Stringlist, int index,const QString &sep, QString::SplitBehavior behavior, Qt::CaseSensitivity cs)
{
    QStringList resultlist;
    resultlist.clear();

    for (int i = 0 ; i < Stringlist.size(); i++) {
//        QString str=toStringList(Stringlist.at(i),sep,behavior,cs).at(index);
//        qDebug()<<str<<"test"<<str.trimmed()<<"test";
        resultlist << toStringList(Stringlist.at(i),sep,behavior,cs).at(index).trimmed();

    }

    return resultlist;
}
QStringList DateManager::toStringList(const QString &mString, const QString &sep, QString::SplitBehavior behavior, Qt::CaseSensitivity cs)
{
    return mString.split(QRegExp(sep));
}

QList<QObject*> DateManager::getDateModel(const QString &filename,const QString &sep, QString::SplitBehavior behavior, Qt::CaseSensitivity cs){
       QTextCodec *utg8 = QTextCodec::codecForName("utf-8");
       QTextCodec::setCodecForLocale(utg8);

       QStringList zoneInfoList;
       zoneInfoList.clear();

       zoneInfoList=readZoneFile(filename);
       QList<QObject*> dataList;
       QLocale locale;
       int index = (locale.language() == QLocale::Chinese ? 1:0);

       for(int i=0;i<zoneInfoList.length();i++){
           dataList.append(new DateObject(toStringList(zoneInfoList[i],sep,behavior,cs).at(0),
                                          toStringList(zoneInfoList[i],sep,behavior,cs).at(index),
                                          toStringList(zoneInfoList[i],sep,behavior,cs).at(2)));
       }
       return dataList;
}

QStringList DateManager::getCityList(QStringList Stringlist, const QString &sep, QString::SplitBehavior behavior, Qt::CaseSensitivity cs)
{
    QStringList resultlist;
    resultlist.clear();

    QLocale locale;
    int index = (locale.language() == QLocale::Chinese ? 1:0);

    for (int i = 0 ; i < Stringlist.size(); i++) {
        resultlist << toStringList(Stringlist.at(i),sep,behavior,cs).at(index).trimmed();

    }

    return resultlist;
}

