#ifndef MANAGER_H
#define MANAGER_H
#include <QObject>
#include <QString>
#include <QVariant>
#include <QFile>
#include <QDir>
#include <QFileInfo>
#include <QDate>
#include <QGuiApplication>
#include <QDomDocument>
#include <QDomElement>
#include <QDomAttr>
#include <QTranslator>
#include <QProcess>
#include <QTextCodec>
#define MANAGER_ZONEINFO_FILE   "/usr/share/zoneinfo/zoneinfo.txt"

class DateManager :public QObject
{
    Q_OBJECT

public:
    explicit DateManager(QObject *parent=0);
    ~DateManager();

    Q_INVOKABLE QStringList readZoneFile(const QString &filename=MANAGER_ZONEINFO_FILE);
    Q_INVOKABLE QStringList toStringList(const QString &mString,const QString &sep = "[\\s|\\t]+", QString::SplitBehavior behavior = QString::KeepEmptyParts,
                                         Qt::CaseSensitivity cs = Qt::CaseSensitive);
    Q_INVOKABLE QStringList getStringListInt(QStringList Stringlist,int index,const QString &sep = "[\\s|\\t]+", QString::SplitBehavior behavior = QString::KeepEmptyParts,
                                             Qt::CaseSensitivity cs = Qt::CaseSensitive);
    Q_INVOKABLE QList<QObject*> getDateModel(const QString &filename=MANAGER_ZONEINFO_FILE,const QString &sep = "[\\s|\\t]+", QString::SplitBehavior behavior = QString::KeepEmptyParts,
                                             Qt::CaseSensitivity cs = Qt::CaseSensitive);

    Q_INVOKABLE QStringList getCityList(QStringList Stringlist,const QString &sep = "[\\s|\\t]+", QString::SplitBehavior behavior = QString::KeepEmptyParts,
                                             Qt::CaseSensitivity cs = Qt::CaseSensitive);

};

#endif // MANAGER_H
