#ifndef DATEOBJECT_H
#define DATEOBJECT_H

#include <QObject>

class DateObject :public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString englishZoneName READ englishZoneName WRITE setEnglishZoneName NOTIFY englishZoneNameChanged)
    Q_PROPERTY(QString zoneName READ zoneName WRITE setZoneName NOTIFY zoneNameChanged)
    Q_PROPERTY(QString zoneFlag READ zoneFlag WRITE setZoneFlag NOTIFY zoneFlagChanged)
public:
    DateObject(QObject *parent=0);
    DateObject(const QString &englishZoneName,const QString &zoneName,const QString &zoneFlag,QObject *parent=0);

    QString englishZoneName() const;
    void setEnglishZoneName(const QString &englishZoneName);

    QString zoneName() const;
    void setZoneName(const QString &zoneName);

    QString zoneFlag() const;
    void setZoneFlag(const QString &zoneFlag);

Q_SIGNALS:
    void englishZoneNameChanged();
    void zoneNameChanged();
    void zoneFlagChanged();

private:
    QString m_englishZoneName;
    QString m_zoneName;
    QString m_zoneFlag;
};





#endif // DATEOBJECT_H
