#ifndef DEFAULTAPP_H
#define DEFAULTAPP_H

#include <QWidget>
#include "defaultappsetting.h"
#include <QStyledItemDelegate>
#include "../baseui/page.h"

namespace Ui {
class DefaultApp;
}

class DefaultApp : public Page
{
    Q_OBJECT

public:
    explicit DefaultApp(QWidget *parent = nullptr);
    ~DefaultApp();

public:
    //页面唯一键
    static QString pageKey() {return "defaultapp";}

    //页面标题
    virtual QString pageTitle() {return tr("Default Application");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key) { Q_UNUSED(key) }

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public Q_SLOTS:
    void slot_set_default_web_app();
    void slot_set_default_mail_app();
    void slot_set_default_music_app();
    void slot_set_default_vedio_app();
    void slot_set_default_image_app();
    void slot_set_default_word_app();
    void slot_set_default_text_editor_app();
    void slot_set_default_file_manager_app();
    void slot_set_default_document_app();
    void slot_set_default_archive_app();
private:
    void initUI();
    void initItems();
    void additem_to_combox(QComboBox* combox,QList<NDEAppInfo>* applist);
    void show_default_app(QComboBox*  combobox,GList* list, char* mime);
    void initsetting();
private:
    Ui::DefaultApp *ui;
    NDEApplet *applet;
    QStyledItemDelegate* delegate;
    QList<NDEAppInfo>   web_browsers;
    QList<NDEAppInfo>   mail_readers;
    QList<NDEAppInfo>   document_viewers;
    QList<NDEAppInfo>   music_players;
    QList<NDEAppInfo>   video_players;
    QList<NDEAppInfo>   image_viewers;
    QList<NDEAppInfo>   word_viewers;
    QList<NDEAppInfo>   text_editor;
    QList<NDEAppInfo>   file_manager;
    QList<NDEAppInfo>   archive_manager;

};

#endif // DEFAULTAPP_H
