#ifndef DEFAULTAPPSETTING_H
#define DEFAULTAPPSETTING_H

#define GETTEXT_PACKAGE

#include <QObject>
#include <QMap>
#include <QComboBox>
#include <QList>
#include <QString>
#include <QSettings>
#include <gio/gio.h>
#include <gio/gdesktopappinfo.h>
#include <glib/gi18n-lib.h>
#include <string>
#include <iostream>
using namespace std;



typedef  struct _NDEAppInfo{
    QString app_name;
    QIcon app_icon;
} NDEAppInfo;

typedef struct _Applet {
    /* Lists of available apps */
    GList* web_browsers;
    GList* mail_readers;
    GList* document_viewers;
    GList* music_players;
    GList* video_players;
    GList* image_viewers;
    GList* word_viewers;
    GList* text_editor;
    GList* file_manager;
    GList* archive_manager;
} NDEApplet;

enum {
    NA_TYPE_WEB_BROWSER,
    NA_TYPE_EMAIL,
    NA_TYPE_IMAGE,
    NA_TYPE_VIDEO,
    NA_TYPE_MUSIC,
    NA_TYPE_WORD,
    NA_TYPE_TEXTEDITOR,
    NA_TYPE_FILEMANAGER,
    NA_TYPE_DOCUMENT,
    NA_TYPE_ARCHIVER,
    NA_N_COLUMNS
};

void list_type_change(GList* list,QList<NDEAppInfo>* strList);
void set_default_app(QComboBox* combox,NDEApplet* applet,GList* list,int type);
int get_default_app(GList* list, char* mime );



#endif // DEFAULTAPPSETTING_H
