#ifndef FONT_H
#define FONT_H

#include <QFont>
#include <Nde/Settings>
#include "../baseui/page.h"

namespace Ui {
class Font;
}

class Font : public Page
{
    Q_OBJECT

public:
    explicit Font(QWidget *parent = nullptr);
    ~Font();

public:
    //页面唯一键
    static QString pageKey() {return "font";}

    //页面标题
    virtual QString pageTitle() {return tr("Font");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);

private Q_SLOTS:
    void updateQtFont();
    void addItem_to_scalingcomboBox();
    void on_installBtn_clicked();
    void getCurrentScaling();
    void on_scaling_changed();

private:
    void initControls();

private:
    Ui::Font *ui;
    QSettings *mQtSettings;
    Nde::Settings *mSettings;
};



#endif // FONT_H
