#ifndef KEYBOARDLAYOUTITEM_H
#define KEYBOARDLAYOUTITEM_H

#include <QFrame>
#include <QMouseEvent>

namespace Ui {
class KeyboardLayoutItem;
}

enum KEYBOART_TYPE {
    Delete,
    Select,
    Addlayout
};

class KeyboardLayoutItem : public QFrame
{
    Q_OBJECT

public:
    explicit KeyboardLayoutItem(QString layouts,
                                QString variants,
                                KEYBOART_TYPE type = KEYBOART_TYPE::Delete,
                                bool isFisrt = false,
                                QWidget *parent = nullptr);
    ~KeyboardLayoutItem();

    KEYBOART_TYPE type()
    {
        return mType;
    }
    QString layouts()
    {
        return mLayouts;
    }
    QString variants()
    {
        return mVariants;
    }
    bool checked()
    {
        return mChecked;
    }
    void setChecked(bool checked);
    void setHideDeleteBtn(bool hide);

    void setKeyboardLayoutData(const QString layout){
        mKeyboardLayoutData = layout;
    }
    QString getKeyboardLayoutData()const {
        return mKeyboardLayoutData;
    }
    void setKeyboardVariantData(const QString variant){
        mKeyboardVariantData = variant;
    }
    QString getKeyboardVariantData() const {
        return mKeyboardVariantData;
    }

Q_SIGNALS:
    void selectedKeyboardLayoutItem();
    void deleteKeyboardLayoutItem();
    void addKeyboardLayoutClicked();

protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);
    bool event(QEvent * event) override;
    virtual void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent* event);

private:
    Ui::KeyboardLayoutItem *ui;
    KEYBOART_TYPE mType;
    bool mIsFisrt;
    bool mChecked;
    QString mLayouts;
    QString mVariants;
    bool mIsHideDeteleBtn;

    QString mKeyboardLayoutData;
    QString mKeyboardVariantData;
};

#endif // KEYBOARDLAYOUTITEM_H
