#ifndef SHORTCUT_H
#define SHORTCUT_H

#include <QWidget>
#include <QVBoxLayout>
#include "shortcutinterface.h"
#include "../baseui/page.h"

namespace Ui {
class Shortcut;
}

class ShortcutItemFrame;

class Shortcut : public Page
{
    Q_OBJECT

public:
    explicit Shortcut(QWidget *parent = nullptr);
    ~Shortcut();

public:
    //页面唯一键
    static QString pageKey() {return "keyboard_shortcut";}

    //页面标题
    virtual QString pageTitle() {return tr("Shortcut");}

    //应用按钮按下的接口
    virtual void applyBtnClicked(){/* */}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onAddShortcutClick();
    void onShortcutItemShow(qulonglong index);
    void onShortcutItemRemoved(qulonglong id);
    void onShortcutItemAdded(qulonglong id);


private:
    void initUI();
    void hideShortcutInputBtn();
    void getShortcutList();
    void editBtnClicked();
    void completeBtnClicked();

protected:
    virtual void mousePressEvent(QMouseEvent *event);

private:
    Ui::Shortcut *ui;
    ShortcutInterface * interface_;

    QMap<qulonglong, GeneralActionInfo> systemCommandMap_;
    QMap<qulonglong, GeneralActionInfo> systemClientMap_;
    QMap<qulonglong, ShortcutItemFrame *> systemItemlist_;
    QMap<qulonglong, GeneralActionInfo> customizeMap_;
    QMap<qulonglong, ShortcutItemFrame *> customizeItemlist_;
    QString configFile_;
    bool isEdit_;
};


#endif // SHORTCUT_H
