#ifndef INPUTMETHODITEM_H
#define INPUTMETHODITEM_H

#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QEvent>
#include <fcitx/module/dbus/dbusstuff.h>
#include <fcitx/module/ipc/ipc.h>
#include "fcitx-gclient/fcitxinputmethod.h"

class InputMethodItem : public QFrame
{
    Q_OBJECT
public:
    explicit InputMethodItem(FcitxIMItem *item, QFrame *parent = nullptr);
    ~InputMethodItem();
    void updatePosition(int position);
    void updateFcitxIMItem(FcitxIMItem *item);
Q_SIGNALS:
    void deleteFcitxIMItem(FcitxIMItem *item);
protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);
    bool event(QEvent * event) override;
    virtual void paintEvent(QPaintEvent *event);

private:
    int m_postion{0};
    QHBoxLayout *layout_item;
    QLabel *label_inputmethod;
    QLabel *label_delete;
    QSpacerItem *horizontalSpacer;
    FcitxIMItem *m_item;
};

#endif // INPUTMETHODITEM_H
