#ifndef LANGUAGEANDREGION_H
#define LANGUAGEANDREGION_H

#include <QWidget>
#include <QLocale>
#include <QHBoxLayout>
#include <QFrame>
#include <fcitx-utils/utils.h>
#include <fcitx/module/dbus/dbusstuff.h>
#include <fcitx/module/ipc/ipc.h>
#include "fcitx-gclient/fcitxinputmethod.h"
#include "inputmethoditem.h"
#include "../baseui/page.h"
#include "inputmethodsetting.h"
#include "languagesetting.h"

namespace Ui {
class LanguageAndRegion;
}

class LanguageAndRegion : public Page
{
    Q_OBJECT

public:
    explicit LanguageAndRegion(QWidget *parent = nullptr);
    ~LanguageAndRegion();

public:
    //页面唯一键
    static QString pageKey() {return "language_region";}

    //页面标题
    virtual QString pageTitle() {return tr("Language And Input");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key) { Q_UNUSED(key) }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onLanguageBtnClick();
    void deleteOneItem(FcitxIMItem *item);
    void onAddFcitxIM(void);
private:
    void updateInputUI();
    static void onFcitxImlistChanged(FcitxInputMethod* im, LanguageAndRegion* pThis);

protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);
private:
    Ui::LanguageAndRegion *ui;
    FcitxInputMethod* m_improxy;
    GPtrArray* m_array;
    QMap<guint,InputMethodItem *> m_FcitxIMItemlist;
};

#endif // LANGUAGEANDREGION_H
