#include "languagestack.h"
#include <Nde/Settings>
#include "languageinstance.h"
#include "languageandregion.h"

LanguageStack::LanguageStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(LanguageAndRegion::pageKey());
}

Page *LanguageStack::createPage(const QString key)
{
    if(key == LanguageAndRegion::pageKey())
    {
        LanguageAndRegion * page = new LanguageAndRegion(this);
        return page;
    }
    if(key == Languagesetting::pageKey())
    {
        Languagesetting * page = new Languagesetting(this);
        return page;
    }
    if(key == InputMethodSetting::pageKey())
    {
        InputMethodSetting * page = new InputMethodSetting(this);
        return page;
    }
    return nullptr;
}
