#ifndef LOGLISTITEM_H
#define LOGLISTITEM_H

#include <QFrame>
#include "systemloginstance.h"

namespace Ui {
class LogListItem;
}

class LogListItem : public QFrame
{
    Q_OBJECT
public:
    enum LOG_TYPE {
        JournalLog,
        VarLog
    };
    enum LOG_LIST_TYPE {
        LogMainList,
        LogSettingList,
        LogExportList,
        LogDeleteList
    };

    explicit LogListItem(const QString &name, LogListItem::LOG_LIST_TYPE logType = LogListItem::LogMainList, QWidget *parent = nullptr);
    ~LogListItem();
    void setLogType(const LogListItem::LOG_TYPE type);
    LogListItem::LOG_TYPE getLogType() const;
    LogListItem::LOG_LIST_TYPE getListType() const;
    QString getText() const;
    bool itemChecked() ;
signals:
    void openLog(const QString& logName, const LogListItem::LOG_TYPE type);
private slots:
    void on_checkBox_clicked();
private:
    Ui::LogListItem *ui;
    LogListItem::LOG_TYPE mType;
    LogListItem::LOG_LIST_TYPE mListType;

protected:
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);
};

#endif // LOGLISTITEM_H
