#include "ndeplaintextedit.h"
#include <QGraphicsDropShadowEffect>
#include <QMenu>
#include <QDBusInterface>

NdePlainTextEdit::NdePlainTextEdit(QWidget *parent) : QPlainTextEdit(parent)
{

}

NdePlainTextEdit::~NdePlainTextEdit()
{

}

void NdePlainTextEdit::contextMenuEvent(QContextMenuEvent *e)
{
    QMenu* menu = new QMenu(this);

        QAction* action = menu->addAction(tr("Copy"));
        action->setShortcut(QString("Ctrl+C"));
        connect(action, &QAction::triggered, this, &NdePlainTextEdit::ndeCopy);
auto l = extraSelections();
        action = menu->addAction(tr("Select All"));
        action->setShortcut(QString("Ctrl+A"));
        connect(action, &QAction::triggered, this, &NdePlainTextEdit::ndeSelectAll);
        // 样式
        menu->setWindowFlag(Qt::FramelessWindowHint);
        menu->setAttribute(Qt::WA_TranslucentBackground);
        menu->setStyleSheet(QLatin1String("QMenu {background-color: #ffffff; border-radius: 4px; color: #5d626d; margin: 2px;padding: 2px;}"
                                          "QMenu::item {padding-left: 14px; padding-right: 26px; height: 32px; font-size: 14px; text-align:left; color: #5d626d; }"
                                          "QMenu::item:!enabled {color: #a8abb1;}"
                                          "QMenu::item:selected{background-color:#2c9dfc; color:#ffffff;}"
                                          "QMenu::icon {margin-left: 10px; margin-right: 10px;}"));
        // 阴影
        QGraphicsDropShadowEffect  * shadow_effect = new QGraphicsDropShadowEffect(this);
        shadow_effect->setOffset(0,0);
        QColor color("#000000");
        color.setAlphaF(0.2);
        shadow_effect->setColor(color);
        shadow_effect->setBlurRadius(4);
        menu->setGraphicsEffect(shadow_effect);

        menu->exec(e->globalPos());
        delete  menu;
}

void NdePlainTextEdit::ndeCopy()
{
    copy();
}

void NdePlainTextEdit::ndeSelectAll()
{
    selectAll();
}
