#ifndef SYSTEMLOGEXPORT_H
#define SYSTEMLOGEXPORT_H

#include <QStackedWidget>
#include <QDateTime>
#include <KJob>
#include <QFileInfo>
#include "loglistitem.h"
#include "../baseui/page.h"

namespace Ui {
class SystemLogExport;
}

class SystemLogExport : public Page
{
    Q_OBJECT
public:
    explicit SystemLogExport(QWidget *parent = nullptr);
    ~SystemLogExport();

public:
    //页面唯一键
    static QString pageKey() {return "systemlogexport";}

    //页面标题
    virtual QString pageTitle(){return tr("Total Log");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面都会执行该函数，界面刷新的代码可以放在此函数
    virtual void refreshPage() ;

private slots:
    void exportResult(KJob *kjob);

private:
    void clearLayoutList();
    void exportLog();
    void cancelExportLog();
    void loadLogDir(LogListItem::LOG_LIST_TYPE listType = LogListItem::LogMainList);
    void exportLog(QStringList fileList);
    bool isDirEmpty(QString baseName, QFileInfo fileInfo);

private:
    Ui::SystemLogExport *ui;

    QString lastExportFilePathName;
};
#endif // SYSTEMLOGEXPORT_H
