#include "systemloginstance.h"
#include <QDir>
#include <KAuth>
#include <QtDebug>


QString  getSize(int byte)
{
    static QStringList unit{ "B", "KB", "MB", "GB", "TB", "PB"};
    int count = 0;
    while(byte / 1024 > 0) {
        qWarning() << byte /1024;
        byte = byte / 1024;
        count++;
    }
    return QString::number(byte) + unit[count];
}

bool timeMoreThan(const QFileInfo &t1, const QFileInfo &t2)
{
    return t1.lastModified() > t2.lastModified();
}


SystemLogInstance::SystemLogInstance(QWidget *parent) : QWidget(parent)
{
    m_fileSystemWatcher = new QFileSystemWatcher(this);
    QList<QString> paths;
    getChildPath(LOG_PATH, paths);
    m_fileSystemWatcher->addPaths(paths);
    connect(m_fileSystemWatcher,&QFileSystemWatcher::directoryChanged,this,&SystemLogInstance::signalLogFilesChanged);
}

SystemLogInstance *SystemLogInstance::getIns()
{
    static SystemLogInstance ins;
    return &ins;
}

void SystemLogInstance::getChildPath(const QString &dirPant, QList<QString> &paths)
{
    QDir logDir(dirPant);
    if(!logDir.exists()) {
        qWarning() << dirPant << " not exist";
        return;
    }
    QFileInfoList list = logDir.entryInfoList(QDir::Dirs | QDir::NoDotAndDotDot);
    if(list.count() <= 0) {
        qWarning () << dirPant << "is no log files";
        return;
    }

    for(const QFileInfo & fileInfo : list) {
        getChildPath(fileInfo.filePath(), paths);
        paths.append(fileInfo.filePath());
    }
    paths.append(dirPant);
}
