#ifndef POWER_H
#define POWER_H

#include <QWidget>
#include <QDBusInterface>
#include <designer/ndewidgetmaterialtoggle.h>
#include "iconproducer.h"
#include "../baseui/page.h"

namespace Ui {
class Power;
}

class Power : public Page
{
    Q_OBJECT

public:
    explicit Power(QWidget *parent = nullptr);
    ~Power();

public:
    //页面唯一键
    static QString pageKey() {return "power";}

    //页面标题
    virtual QString pageTitle() {return tr("PowerManager");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void iconChanged();
    void updatePowerType();
    void onEnableBatteryChanged(bool checked);
    void onEnableLidChanged(bool checked);
    void saveSettings();

private:
    void initUI();
    void fillComboBox(QComboBox* comboBox);
    void setComboBoxToValue(QComboBox* comboBox, int value);
    int currentValue(QComboBox *comboBox);
    void loadSettings();

private:
    Ui::Power *ui;
    IconTool icontool;
    QList<Solid::Battery*> mBatteries;
    Solid::Battery *mBattery;
    PowerManagementSettings mSettings;
    NdeWidget::QMaterialToggle * mEnableBatteryToggle;
    NdeWidget::QMaterialToggle * mEnableLidToggle;
    QDBusInterface *mUPowerInterface;
};

#endif // POWER_H
