#include "service.h"
#include "ui_service.h"
#include <QProcess>
#include <QtConcurrent>
#include "listwidgetitem.h"

Service::Service(QWidget *parent) :
    Page(parent),
    ui(new Ui::Service)
{
    ui->setupUi(this);
    QFile f(":/qss/service.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    QtConcurrent::run(this, &Service::getServices);
}

Service::~Service()
{
    delete ui;
}

void Service::refreshPage()
{
    //
}

void Service::getServices()
{
    this->mServices = ServiceTool::getServicesWithSystemctl();
    QTimer::singleShot(0, this, &Service::loadServices);
}

void Service::loadServices()
{
    while (ui->layout_list->count()) {
        QLayoutItem * item = ui->layout_list->takeAt(0);
        if(item->widget()) item->widget()->deleteLater();
        delete item;
    }

    for (const ServiceData& s : mServices) {

        ListWidgetItem *service = new ListWidgetItem(s.name, s.description, s.status, s.active);
        ui->layout_list->addWidget(service);
    }
}
