#ifndef SERVICE_H
#define SERVICE_H

#include "../baseui/page.h"
#include "service_tool.h"

namespace Ui {
class Service;
}

class Service : public Page
{
    Q_OBJECT
public:
    explicit Service(QWidget *parent = nullptr);
    ~Service();

public:
    //页面唯一键
    static QString pageKey() {return "service";}

    //页面标题
    virtual QString pageTitle() {return tr("Service");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }

    //刷新界面显示接口
    virtual void refreshPage();

private slots:
    void getServices();
    void loadServices();

private:
    Ui::Service *ui;
    QList<ServiceData> mServices;
};


#endif // SERVICE_H
