#ifndef SERVICE_TOOL_H
#define SERVICE_TOOL_H

#include "../baseui/command_util.h"
#include <QString>

class ServiceData
{
public:
    ServiceData(const QString &name, const QString description, const bool status, const bool active);

    QString name;
    QString description;
    bool status;
    bool active;
};

class ServiceTool
{
public:
    static QList<ServiceData> getServicesWithSystemctl();
    static bool serviceIsActive(const QString &serviceName);
    static bool changeServiceStatus(const QString &sname, bool status);
    static bool changeServiceActive(const QString &sname, bool status);
    static bool serviceIsEnabled(const QString &serviceName);
    static QString getServiceDescription(const QString &serviceName);
};

#endif // SERVICE_TOOL_H
