#ifndef ICONTHEMECONFIG_H
#define ICONTHEMECONFIG_H

#include "iconthemeinfo.h"
#include <QWidget>

namespace Nde {
class Settings;
}


class IconThemeConfig
{
public:
    IconThemeConfig(Nde::Settings *settings);
    ~IconThemeConfig();

    QStringList listIconThemeText();
    QStringList listIconThemeName();
    QStringList listIconThemeComment();
    QVector<QIcon> listIconThemeIcon(QString iconName);
    QString getCurrentIconThemeName();
    QString getCurrentIconThemeText();
    void apply(QString iconThemeText);

private:
    Nde::Settings *m_settings;
    void initIconsThemes();
    QString currentIconThemeName;

    QList<IconThemeInfo> themeInfos;
    QMap<QString,QVector<QIcon>> iconsMap;
};


#endif // ICONTHEMECONFIG_H
