#ifndef MAINTHEMELIST_H
#define MAINTHEMELIST_H
#include <QListWidget>
#include "themepatternbtn.h"

class MainThemeList : public QListWidget
{
    Q_OBJECT

public:
    explicit MainThemeList(QWidget *parent = 0);
    void addItem(QString name, int id);
    void setCurrentTheme(QString name);
    int getSelectedIndex();

Q_SIGNALS:
    void textVisibleChanged(bool visible);
    void imageSizeChanged(QSize size);

private Q_SLOTS:
    void themePressEvent(int);

protected:
    void resizeEvent(QResizeEvent *e) Q_DECL_OVERRIDE;

private:
    QSize m_itemSize;
    QSize m_imageSize;
    int mSpace;
    int mSelectedIndex;
    QList<ThemePatternBtn *> themeBtnList;
};


#endif // MAINTHEMELIST_H
