#ifndef THEMEPATTERNBTN_H
#define THEMEPATTERNBTN_H

#include <QWidget>
#include <QFrame>
#include <QVBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QEvent>
#include <QCheckBox>
#include <QPixmap>

#define THEME_BTN_SIZE_WID              176
#define THEME_BTN_SIZE_HEI              106
#define THEME_BTN_BOTTM_SIZE_HEI        46

class ThemePatternBtn : public QFrame
{
    Q_OBJECT
public:
    explicit ThemePatternBtn(QWidget *parent = nullptr, int id = -1);
    ~ThemePatternBtn();

    void loadPreview();

    void setThemeName(QString txt);
    QString themeName();

    void setCheck(bool check);

protected:
    void mousePressEvent(QMouseEvent *event);

Q_SIGNALS:
    void clicked(int );

protected Q_SLOTS:
    void btnPress();

private:
    int mId;
    bool mSelect;
    QLabel *labelPreview;
    QLabel *labelSelected;
    QPushButton *btnThemeBottom;
    QVBoxLayout *layoutItem;

};

#endif // THEMEPATTERNBTN_H
