#ifndef XCURSORTHEMEINFO_H
#define XCURSORTHEMEINFO_H

#include <QAbstractTableModel>
#include <QStringList>

class QDir;
class XCursorThemeData;

class PreviewCursor;

class XCursorThemeInfo
{

public:
    XCursorThemeInfo ();
    ~XCursorThemeInfo ();

    /// Returns the index for the default theme.
    QModelIndex defaultIndex ();

    /// Returns the list of base dirs Xcursor looks for themes in.
    const QStringList searchPaths ();

    QList<QPixmap> initCursorThemeIcon(XCursorThemeData *theme);

    QList<XCursorThemeData *> listCursorTheme();


private:
    bool handleDefault (const QDir &dir);
    void processThemeDir (const QDir &dir);
    void insertThemes ();
    bool hasTheme (const QString &theme) const;
    bool isCursorTheme (const QString &theme, const int depth = 0);

private:
    QList<XCursorThemeData *>mList;
    QStringList mBaseDirs;
    QString mDefaultName;
};



#endif // XCURSORTHEMEINFO_H
