#ifndef AVATARSETTING_H
#define AVATARSETTING_H

#include <QWidget>
#include <QListWidgetItem>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include "../baseui/page.h"

using namespace QtAccountsService;

namespace Ui {
class AvatarSetting;
}

class AvatarSetting : public Page
{
    Q_OBJECT
public:
    explicit AvatarSetting(QWidget *parent = nullptr);
    ~AvatarSetting();

public:
    //页面唯一键
    static QString  pageKey() {return "user_avatar";}

    //页面标题
    virtual QString pageTitle() {return tr("Avatar");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public:
    void updateWidget();

    void setUserAccount(UserAccount *user);

Q_SIGNALS:
    void avatarPathChange(const QString path);

private Q_SLOTS:
    void onAvatarItemClick(QListWidgetItem* item);

private:
    void createIconItem(const QString path);
    void adjustImage(QString sourceUrl, QString targetPath);

private:
    Ui::AvatarSetting *ui;
    UserAccount * userAccount_{nullptr};
    QStringList imgList_;      // 文件目录下所有的图像文件名
    bool avatarClick_{false};
};

#endif // AVATARSETTING_H
