#ifndef AVATARWIDGET_H
#define AVATARWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QPainter>

#define PIX_SIZE    90

class AvatarWidget : public QLabel
{
    Q_OBJECT

public:
    explicit AvatarWidget(QWidget *parent = 0);
    explicit AvatarWidget(const QString &avatar, QWidget *parent = 0);
    ~AvatarWidget();

    void setSelected(const bool selected = true);
    void setDeletable(const bool deletable = true);

    const QString avatarPath() const;
    void setAvatarPath(const QString &avatar);

    void setArrowed(const bool arrowed = true);
Q_SIGNALS:
    void clicked(const QString &iconPath) const;
    void requestDelete(const QString &iconPath) const;

protected:
    void mouseReleaseEvent(QMouseEvent *e);
    void paintEvent(QPaintEvent *e);
    void enterEvent(QEvent *);
    void leaveEvent(QEvent *);
    void resizeEvent(QResizeEvent *event);
    void drawAvatar();

private:
    bool m_hover;
    bool m_deleable;
    bool m_selected;

    QPixmap m_avatar;
    QString m_avatarPath;
    QPainter *m_painter;
};

#endif // AVATARWIDGET_H
