#ifndef CHANGEPASSWORD_H
#define CHANGEPASSWORD_H

#include <QWidget>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include "../baseui/messagewidget.h"
#include "../baseui/page.h"
using namespace QtAccountsService;

namespace Ui {
class ChangePassword;
}

class ChangePassword : public Page
{
    Q_OBJECT
public:
    explicit ChangePassword(QWidget *parent = nullptr);
    ~ChangePassword();

public:
    //页面唯一键
    static QString  pageKey() {return "user_changepasswd";}

    //页面标题
    virtual QString pageTitle() {return tr("Change Password");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public:
    void setUserAccount(UserAccount *user) {
        userAccount_ = user;
    }

protected:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);

private Q_SLOTS:
    void onClosePasswordMessage();
    void onCloseRepeatPasswordMessage();

private:
    Ui::ChangePassword *ui;
    UserAccount * userAccount_;
    MessageWidget *messageW_;
};

#endif // CHANGEPASSWORD_H
