#ifndef CREATEUSER_H
#define CREATEUSER_H

#include <QWidget>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include <KAuth/KAuthAction>
#include <KAuth/KAuthExecuteJob>
#include "../baseui/messagewidget.h"
#include "avatarwidget.h"
#include "avatarsetting.h"
#include "../baseui/page.h"

using namespace QtAccountsService;

namespace Ui {
class CreateUser;
}

class CreateUser : public Page
{
    Q_OBJECT
public:
    explicit CreateUser(QWidget *parent = nullptr);
    ~CreateUser();


public:
    //页面唯一键
    static QString  pageKey() {return "user_createuser";}

    //页面标题
    virtual QString pageTitle() {return tr("Create User");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public:
    void updateUserIcon(const QString path);

protected:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);
    
Q_SIGNALS:
    void createUserAccountAvatar(UserAccount *userAccount);

private Q_SLOTS:
    void onCloseNameMessage();
    void onClosePasswordMessage();
    void onCloseRepeatPasswordMessage();
    void onEditAvatar();

private:
    Ui::CreateUser *ui;
    MessageWidget *messageW_;
    QString iconPath_;
    AvatarWidget *avatar_;
};

#endif // CREATEUSER_H
