#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <QWidget>
#include <QFrame>
#include <QPushButton>
#include <QHBoxLayout>
#include <QLabel>
#include <QStackedWidget>
#include <designer/ndewidgetmaterialtoggle.h>
#include <QtAccountsService/AccountsManager>
#include <QtAccountsService/UserAccount>
#include "../src/settingspluginlibrary.h"
#include "changepassword.h"
#include "changeusername.h"
#include "createuser.h"
#include "edituser.h"
#include "otheruserframe.h"
#include "avatarwidget.h"
#include "avatarsetting.h"
#include "../baseui/page.h"

using namespace QtAccountsService;

namespace Ui {
class Users;
}

class Users : public Page
{
    Q_OBJECT

public:
    enum AccountEidtType {
        AddUser,
        DeleteUser
    };

    explicit Users(QWidget *parent = nullptr);
    ~Users();

public:
    //页面唯一键
    static QString  pageKey() {return "user";}

    //页面标题
    virtual QString pageTitle() {return tr("User");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key) { Q_UNUSED(key) }

    //每次进入该界面需要做的操作
    virtual void refreshPage();

public:
    void updateUserList();
    void updateAutoLogin();
    void updateUserIcon(const QString path);

Q_SIGNALS:
    void editUserAccountPasswd(UserAccount *userAccount);
    void editUserAccount(UserAccount *userAccount);
    void editUserAccountAvatar(UserAccount *userAccount);

public Q_SLOTS:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);

private Q_SLOTS:
    void onUserTypeChanged(int index);
    void onToggleUserAutoLoginChanged(bool checked);
    void onCreateUserClick();
    void onEditAvatar();
    void onChangePasswordClick();

private:
    void initUI();
    void loadOtherUser();
    void clearOtherUser();

private:
    Ui::Users *ui;
    NdeWidget::QMaterialToggle * toggleLogin_{nullptr};
    QHBoxLayout * layout_{nullptr};
    AvatarWidget *avatar_{nullptr};
    bool userTypeClick_{false};
    MessageWidget *messageW_{nullptr};
};





#endif // SYSTEMINFO_H
