#ifndef SOUNDCARDITEM_H
#define SOUNDCARDITEM_H

#include <QFrame>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLabel>
#include <pulse/pulseaudio.h>
#include <pulse/glib-mainloop.h>
#include "../baseui/ndeqcombobox.h"

class SoundCardItem: public QWidget
{
    Q_OBJECT
public:
    explicit SoundCardItem(const pa_card_info *info, QWidget *parent = nullptr);
    ~SoundCardItem();
    void updateSoundCard(const pa_card_info *info);

Q_SIGNALS:
    void ComboBoxIndexChanged(int index, QString name);

private Q_SLOTS:
    void handleComboBoxIndexChanged(int index);

private:
    QVBoxLayout *layout_item;
    QFrame *frame_card_item;
    QHBoxLayout *layout_card_item;
    QHBoxLayout *layout_card_name;
//    QHBoxLayout *layout_card_content;
    QLabel *label_card_name;
    ndeQComboBox *comboBox_cards;
    QSpacerItem *horSpacer;
    int active_card;
    int m_index;
    QMap<unsigned int, QString> m_NameList;
};

#endif // SOUNDCARDITEM_H
